diff --git a/changelog b/changelog
index 63cc00a..bb5312c 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,11 @@
+20090316 tpd src/axiom-website/patches.html 20090316.02.tpd.patch
+20090316 tpd src/interp/sockio.lisp restore sock-send-int
+20090316 tpd src/input/setcmd.input fix minor breakage
+20090316 tpd src/input/knot2.input fix minor breakage
+20090316 tpd src/input/is.input fix minor breakage
+20090316 tpd src/input/ifthenelse.input fix minor breakage
+20090316 tpd src/input/ico.input fix minor breakage
+20090316 tpd src/input/grpthry.input fix minor breakage
 20090316 tpd src/axiom-website/patches.html 20090316.01.tpd.patch
 20090316 tpd src/input/wester.input add )set break resume
 20090316 tpd src/input/void.input add )set break resume
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 2c8ff7d..372d908 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1007,5 +1007,7 @@ bookvol5 document )set, include root code<br/>
 bookvol5 document collect set support functions<br/>
 <a href="patches/20090316.01.tpd.patch">20090316.01.tpd.patch</a>
 bookvol5 add )expose, add )set break resume<br/>
+<a href="patches/20090316.02.tpd.patch">20090316.02.tpd.patch</a>
+sockio.lisp restore sock-send-int<br/>
  </body>
 </html>
diff --git a/src/input/grpthry.input.pamphlet b/src/input/grpthry.input.pamphlet
index d0fd173..7568226 100644
--- a/src/input/grpthry.input.pamphlet
+++ b/src/input/grpthry.input.pamphlet
@@ -122,7 +122,7 @@ member? ( y , g2 )
 --R PermutationGroup S: SetCategory  is a domain constructor
 --R Abbreviation for PermutationGroup is PERMGRP 
 --R This constructor is exposed in this frame.
---R Issue )edit permgrps.spad.pamphlet to see algebra source code for PERMGRP 
+--R Issue )edit bookvol10.3.spad.pamphlet to see algebra source code for PERMGRP 
 --R
 --R------------------------------- Operations --------------------------------
 --R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
diff --git a/src/input/ico.input.pamphlet b/src/input/ico.input.pamphlet
index aaacf79..c842a9a 100644
--- a/src/input/ico.input.pamphlet
+++ b/src/input/ico.input.pamphlet
@@ -585,13 +585,9 @@ polygon(space,[p10,p11,p6])
 makeViewport3D(space,title=="Icosahedron")
 --R 
 --R   Transmitting data...
---R 
---RDaly Bug
---R   >> System error:
---R   SOCK-SEND-INT is invalid as a function.
---R
---R   Continuing to read the file...
 --R
+--R   (64)  ThreeDimensionalViewport: "Icosahedron"
+--R                                               Type: ThreeDimensionalViewport
 --E 65
 
 )spool 
diff --git a/src/input/ifthenelse.input.pamphlet b/src/input/ifthenelse.input.pamphlet
index 6dd5024..03d2c7d 100644
--- a/src/input/ifthenelse.input.pamphlet
+++ b/src/input/ifthenelse.input.pamphlet
@@ -105,21 +105,21 @@ for i in 2..2 repeat
     then output("positive") 
     else output("nonpositive")
 --R 
---R  Line  47: --R 
---R  Line  48: --R   positive
---R  Line  49: --R                                                                   Type: Void
---R  Line  50: --E 5
---R  Line  51: 
---R  Line  52: --S 6 of 20
---R  Line  53: for i in 2..2 repeat
---R  Line  54:   if i>0 
+--R  Line  48: --R 
+--R  Line  49: --R   positive
+--R  Line  50: --R                                                                   Type: Void
+--R  Line  51: --E 5
+--R  Line  52: 
+--R  Line  53: --S 6 of 20
+--R  Line  54: for i in 2..2 repeat
+--R  Line  55:   if i>0 
 --R           ..A
 --R  Error  A: (from #\A and on) Ignored from here
---R  Line  55:     then output("positive") 
+--R  Line  56:     then output("positive") 
 --R           ....A
 --R  Error  A: Improper syntax.
 --R  Error  A: (from #\A up to ) Ignored.
---R  Line  56:     else output("nonpositive")
+--R  Line  57:     else output("nonpositive")
 --R           ....A........................B
 --R  Error  A: Improper syntax.
 --R  Error  A: (from #\A up to #\B) Ignored.
@@ -145,20 +145,20 @@ for i in 2..2 repeat
     output(i)
     else output("nonpositive")
 --R 
---R  Line  83: --R 
---R  Line  84: --R
---R  Line  85: --R   (6)  2
---R  Line  86: --R                                                        Type: PositiveInteger
---R  Line  87: --E 7
---R  Line  88: 
---R  Line  89: --S 8 of 20
---R  Line  90: for i in 2..2 repeat
---R  Line  91:   if i>0 then
---R  Line  92:     output(i)
---R  Line  93:     output("positive") 
---R  Line  94:   else
---R  Line  95:     output(i)
---R  Line  96:     else output("nonpositive")
+--R  Line  84: --R 
+--R  Line  85: --R
+--R  Line  86: --R   (6)  2
+--R  Line  87: --R                                                        Type: PositiveInteger
+--R  Line  88: --E 7
+--R  Line  89: 
+--R  Line  90: --S 8 of 20
+--R  Line  91: for i in 2..2 repeat
+--R  Line  92:   if i>0 then
+--R  Line  93:     output(i)
+--R  Line  94:     output("positive") 
+--R  Line  95:   else
+--R  Line  96:     output(i)
+--R  Line  97:     else output("nonpositive")
 --R           ....A
 --R  Error  A: (from #\A up to ) Ignored.
 --R  Error  A: Improper syntax.
diff --git a/src/input/is.input.pamphlet b/src/input/is.input.pamphlet
index 0845db2..6ec0785 100644
--- a/src/input/is.input.pamphlet
+++ b/src/input/is.input.pamphlet
@@ -44,7 +44,7 @@ f: INT -> INT
 --E 1
 
 --S 2 of 5
- f n ==
+f n ==
    not empty?(u := Is(n, 2*m%)) => integer eval(m%, u)
    3 * n + 1
 --R 
@@ -71,10 +71,10 @@ for every n
 --S 4 of 5
 s := g 27
 --R 
---R   Compiling function f with type Integer -> Integer 
 --R   Compiling function g with type Integer -> Stream Integer 
+--R   Compiling function f with type Integer -> Integer 
 --R
---R   (3)  [27,82,41,124,62,31,94,47,142,71,...]
+--R   (4)  [27,82,41,124,62,31,94,47,142,71,...]
 --R                                                         Type: Stream Integer
 --E 4
 
@@ -82,7 +82,7 @@ s := g 27
 extend(s, 150)
 --R 
 --R
---R   (4)
+--R   (5)
 --R   [27, 82, 41, 124, 62, 31, 94, 47, 142, 71, 214, 107, 322, 161, 484, 242,
 --R    121, 364, 182, 91, 274, 137, 412, 206, 103, 310, 155, 466, 233, 700, 350,
 --R    175, 526, 263, 790, 395, 1186, 593, 1780, 890, 445, 1336, 668, 334, 167,
diff --git a/src/input/knot2.input.pamphlet b/src/input/knot2.input.pamphlet
index 5df3e80..5ece9fc 100644
--- a/src/input/knot2.input.pamphlet
+++ b/src/input/knot2.input.pamphlet
@@ -23,7 +23,7 @@
 @
 This is the color function, nothing elaborate for now
 <<*>>=
---S 1 of 8
+--S 1 of 7
 f(x:SF):SF == x
 --R 
 --R   Function declaration f : DoubleFloat -> DoubleFloat has been added 
@@ -37,7 +37,7 @@ Only p/q is really used, but p and q correspond to
 the factors in the notes deriving these knotty things    
 see the notes for detail...too involved to explain here  
 <<*>>=
---S 2 of 8
+--S 2 of 7
 [p,q] := [3,5]
 --R 
 --R
@@ -45,7 +45,7 @@ see the notes for detail...too involved to explain here
 --R                                                   Type: List PositiveInteger
 --E 2
 
---S 3 of 8
+--S 3 of 7
 PQ    := p/q
 --R 
 --R
@@ -55,7 +55,7 @@ PQ    := p/q
 --R                                                       Type: Fraction Integer
 --E 3
 
---S 4 of 8
+--S 4 of 7
 l := lcm(p, q) quo p
 --R 
 --R
@@ -63,7 +63,7 @@ l := lcm(p, q) quo p
 --R                                                        Type: PositiveInteger
 --E 4
 
---S 5 of 8
+--S 5 of 7
 maxRange := (odd? l => l * %pi; 2 * l * %pi)  
 --R 
 --R
@@ -71,7 +71,7 @@ maxRange := (odd? l => l * %pi; 2 * l * %pi)
 --R                                                                     Type: Pi
 --E 5
 
---S 6 of 8
+--S 6 of 7
 theRange := 0..maxRange
 --R 
 --R
@@ -86,7 +86,7 @@ knot:TUBE := tubePlot(sin t * cos(PQ*t),cos t * cos(PQ*t),cos t * sin(PQ*t),
                       f, theRange, 0.1::SF, 6, "open" )
 \end{verbatim}
 <<*>>=
---S 7 of 8
+--S 7 of 7
 v:=draw(curve(sin t * cos(PQ*t),cos t * cos(PQ*t),cos t * sin(PQ*t)), _
         t=theRange, tubeRadius==0.1)
 --R 
@@ -94,24 +94,19 @@ v:=draw(curve(sin t * cos(PQ*t),cos t * cos(PQ*t),cos t * sin(PQ*t)), _
 --I   Compiling function %D with type DoubleFloat -> DoubleFloat 
 --I   Compiling function %F with type DoubleFloat -> DoubleFloat 
 --R   Transmitting data...
---R 
---RDaly Bug
---R   >> System error:
---R   SOCK-SEND-INT is invalid as a function.
---R
---R   Continuing to read the file...
 --R
+--R   (7)  ThreeDimensionalViewport: "DCOS((3*t)/5)*DSIN(t)"
+--R                                               Type: ThreeDimensionalViewport
 --E 7
 
 @
 close the viewport
 \begin{verbatim}
 makeViewport3D(knot, concat ["knot",p::String,q::String])$VIEW3D
+close(v)
 \end{verbatim}
 <<*>>=
---S 8 of 8
-close(v)
---E 8
+
 )spool 
 )lisp (bye)
  
diff --git a/src/input/setcmd.input.pamphlet b/src/input/setcmd.input.pamphlet
index 0a10e25..9592801 100644
--- a/src/input/setcmd.input.pamphlet
+++ b/src/input/setcmd.input.pamphlet
@@ -24,10 +24,10 @@
 --R
 --R The breakmode option may be followed by any one of the following:
 --R
---R -> nobreak 
+--R    nobreak
 --R    break
 --R    query
---R    resume
+--R -> resume 
 --R    fastlinks
 --R
 --R The current setting is indicated.
diff --git a/src/interp/sockio.lisp.pamphlet b/src/interp/sockio.lisp.pamphlet
index f03492e..2eb437e 100644
--- a/src/interp/sockio.lisp.pamphlet
+++ b/src/interp/sockio.lisp.pamphlet
@@ -113,11 +113,35 @@ resolve the problem
   (defentry NANQ () (double "NANQ"))
   )
 
+(defun open-server (name)
+  (open_server name))
+(defun sock-get-int (type)
+  (sock_get_int type))
+(defun sock-send-int (type val)
+  (sock_send_int type val))
+(defun sock-get-string (type buf buf-len)
+  (sock_get_string_buf type buf buf-len))
+(defun sock-send-string (type str)
+  (sock_send_string_len type str (length str)))
+(defun sock-get-float (type)
+  (sock_get_float type))
+(defun sock-send-float (type val)
+  (sock_send_float type val))
+(defun sock-send-wakeup (type)
+  (sock_send_wakeup type))
+(defun server-switch ()
+  (server_switch))
+(defun sock-send-signal (type signal)
+  (sock_send_signal type signal))
+(defun print-line (str)
+  (print_line str))
 (defun |plusInfinity| () (plus_infinity))
 (defun |minusInfinity| () (minus_infinity))
 
 ;; Macros for use in Boot
 
+(defun |openServer| (name)
+  (open_server name))
 (defun |sockGetInt| (type)
   (sock_get_int type))
 (defun |sockSendInt| (type val)
